VCP(1)

NAME
VCP - Copy files in a curses interface

SYNOPSIS
options [-vdpVmhtu] [-I | -i | -f | -n] [-R [-P | -H | -L]]
        [-b bytes]
vcp [options] src dest
vcp [options] src1 src2 .. destdir
vcp [options -m] src dest1 dest2 ..

DESCRIPTION
vcp copies files and directories in a curses interface, with text only output available. its options and output are similar to BSD's cp while adding some new features.
It provides information on:
- files copied and left to copy
- data written and total data size
- data being written every second
- two status bars, one showing current file status, the other total status
  (except with 1 file, both show current), and percentage
when output is sent to the console:
- a status bar
- size copied and speed

The config file (vcp.conf.sample) supports a few options,
- color
- screen state
- default flags
- read bufer size
vcp checks the following files in order:
1. /etc/vcp.conf
2. ~/.vcp
options are overwritten as they are read.

OPTIONS

-R  Copies directories (if the destination is a directory) with the destination as the subtree, symbolic links are re-created and will not be indirected through, hard links are copied as seperate files. Attempts to create special files instead of copying them.

-P  Needs -R. No symbolic links are followed. Default.

-H  Needs -R. Follows symbolic links on the command line. Other symbolic links are not followed.

-L  Needs -R. All symbolic links are followed.

-f  Exisiting files will be overwritten and re-created, without reguarding the permission.

-n  No existing files are overwritten.

-i  User is asked whether to overwrite a file or not when an existing file is found. If the first input character is a y or Y the file is overwritten. The default (Enter key) does not overwrite the file.

-I  Same as -i, except the default (Enter key) is to overwrite the file.

-v  Verbose messages are printed.

-t  Text only output, a curses interface is not invoked and output is sent to the console.

-d  Delayed copying, les CPU and read/write, this will take longer.

-p  Attempts to copy files with as much information from the original as possible, access time, flags, file modes, user IDs and group IDs. This is restricted if you do not have permission. User and group IDs are handled similar to cp.

-m  Multi-output copy, copies one source to all the destinations.

-b  Sets the read buffer size in bytes, default is 204800

-V  Prints version and exits.

-u  Files present with newer time stamp and same size are not copied.

-h  Prints detailed usage and exits.

FILES
/etc/vcp.conf - global
$HOME/.vcp - user

SEE ALSO
cp(1)

BUGS
Special files, without -R, are not handled the way cp(1) does.

NOTES
website: http://members.iinet.net.au/~lynx/vcp

AUTHORS
Daniel Bryan <sisko@bsdmail.com>
Jeremi Krzyzanski <albino@onomato.net> - polish translation